asTable                 package:nlme                 R Documentation

Convert groupedData to a matrix

Description:

     Create a tabular representation of the response in a balanced
     groupedData object.

Usage:

     asTable(object)

Arguments:

  object: A balanced 'groupedData' object

Details:

     A balanced groupedData object can be represented as a matrix or
     table of response values corresponding to the values of a primary
     covariate for each level of a grouping factor.  This function
     creates such a matrix representation of the data in 'object'.

Value:

     A matrix.  The data in the matrix are the values of the response. 
     The columns correspond to the distinct values of the primary
     covariate and are labelled as such.  The rows correspond to the
     distinct levels of the grouping factor and are labelled as such.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

See Also:

     'groupedData', 'isBalanced', 'balancedGrouped'

Examples:

     data(Orthodont)
     asTable(Orthodont)

